Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.stream
Class Fork<Incoming,Outgoing>

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Fork<Incoming,Outgoing>

    public class Fork<Incoming,Outgoing>

extends Duct<Incoming,Outgoing>

Field Summary
`protected Duct[]` | `allNext`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`Fork(Duct[] allNext)`

Method Summary
`void` | `complete(Duct previous)`
`Duct` | `getNext()`
`void` | `receive(Duct previous, Incoming incoming)`
`void` | `start(Duct previous)`

Methods inherited from class cascading.flow.stream.Duct
`bind, cleanup, getNextFor, initialize, prepare, receiveFirst, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### allNext

    protected final Duct[] allNext

Constructor Detail

### Fork

    public Fork(Duct[] allNext)

Method Detail

### getNext

    public Duct getNext()

  Overrides:
    `getNext` in class `Duct<Incoming,Outgoing>`

### start

    public void start(Duct previous)

  Overrides:
    `start` in class `Duct<Incoming,Outgoing>`

### receive

    public void receive(Duct previous,
                        Incoming incoming)

  Specified by:
    `receive` in class `Duct<Incoming,Outgoing>`

### complete

    public void complete(Duct previous)

  Overrides:
    `complete` in class `Duct<Incoming,Outgoing>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.